
D4Science Infrastructure - VM Creation #8716

GeoServer dedicated VM for protectedareaimpactmaps

May 24, 2017 09:48 AM - Fabio Sinibaldi

Status: Closed Start date: Oct 03, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-nodes management   

Infrastructure: Production Applications list and

version:

geoserver 2.10

RAM: 4 Applications context

path:

geoserver

CPU: 4 External storage data

disk:

 

DiskSpace: 70 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: Latest released PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/g

CubeApps/ProtectedAreaImpactMaps

  

Description

Subtasks:

History

#1 - Jun 14, 2017 09:52 AM - Pasquale Pagano

- Due date set to Jun 16, 2017

- Priority changed from Normal to Urgent

- RAM changed from 2 to 4

- CPU changed from 2 to 4

- DiskSpace changed from 10 to 20

#2 - Jun 14, 2017 11:49 AM - Andrea Dell'Amico

Can you suggest a hostname?

#3 - Jun 14, 2017 11:58 AM - Fabio Sinibaldi

Generally speaking, for these VRE-dedicated instances, I think we could use a defaut convention like geoserver-[VRE_NAME].d4science.org (as for

geoserver-aquacultureatlas.d4science.org).

So, in this case geoserver-protectedareaimpactmaps.d4science.org. 

#4 - Jun 14, 2017 12:45 PM - Tommaso Piccioli

- Subject changed from GeoServer dedicated VM for  to GeoServer dedicated VM for protectedareaimpactmaps

#5 - Jun 14, 2017 01:21 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 30

geoserver-protectedareaimpactmaps.d4science.org is up, to be provisioned.
#6 - Jun 14, 2017 05:01 PM - Andrea Dell'Amico

A question. Is a new postgresql database needed or the app will connect to an existing one?

#7 - Jun 14, 2017 05:08 PM - Fabio Sinibaldi

A dedicated db would be better in this case.

#8 - Jun 14, 2017 05:37 PM - Andrea Dell'Amico

postgresql server: postgresql-srv.d4science.org

db name: geoserver_paim

db user: geoserver_paim_u

#9 - Jun 14, 2017 05:50 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

The server is running. No http -> https redirection.

The ssl certificate will be emitted in the next days.

#10 - Jun 30, 2017 11:44 AM - Andrea Dell'Amico

- Status changed from Feedback to Closed

- Number of VMs set to 1

#11 - Sep 07, 2017 11:30 AM - Andrea Dell'Amico

- DiskSpace changed from 20 to 70

A disk resize was asked.
